
XRollOption = {};
XRollOption.panel = CreateFrame( "Frame", "XRoll_Options", UIParent );
XRollOption.panel.name = "XRoll Options";
InterfaceOptions_AddCategory(XRollOption.panel);

tooltipcd = true
fontSize = 20
lock = true
iftooltip = true
tailleicon = 48
FrameWidth = 250
FrameHeight = 64
spell1 = 0
spell2 = 0
spell3 = 0
spell4 = 0
spell5 = 0
spell6 = 0

local frame = CreateFrame("Frame", "DragFrame2", UIParent)
frame:SetMovable(false)
frame:EnableMouse(false)
frame:SetScript("OnMouseDown", function(self, button)
  if button == "LeftButton" and not self.isMoving then
	self:StartMoving();
	self.isMoving = true;
  end
end)
frame:SetScript("OnMouseUp", function(self, button)
  if button == "LeftButton" and self.isMoving then
	self:StopMovingOrSizing();
	self.isMoving = false;
	local point, relativeTo, relativePoint, xX, yY = self:GetPoint()
	XRollPos["Posx"] = xX
	XRollPos["PosY"] = yY
	XRollPos["CENTER"] = point
  end
end)
frame:SetScript("OnHide", function(self)
  if (self.isMoving) then
   self:StopMovingOrSizing();
   self.isMoving = false;
  end
end)
-- The code below makes the frame visible, and is not necessary to enable dragging.
frame:SetPoint("CENTER");
frame:SetMovable(false)
frame:EnableMouse(false)
if tailleicon == 32 then
	frame:SetWidth(250);
	frame:SetHeight(64);
else
	frame:SetWidth(450);
	frame:SetHeight(80);
end
local tex = frame:CreateTexture("ARTWORK");
tex:SetAllPoints();
tex:SetTexture(1.0, 0.5, 0, 0.5)
tex:SetAlpha(0);

SLASH_HELLOWORLD1, SLASH_HELLOWORLD2 = '/xr', '/xroll';
local function handler(msg, editbox)
	if msg == 'unlock' then
		if lock == true then
			frame:SetMovable(true)
			frame:EnableMouse(true)
			tex:SetAlpha(0.5);
			lock = false
			btnunlock:Disable()
			btnlock:Enable()
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar unlock!", 1, 1, .5);
		else
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar is already unlocked!", 1, 1, .5);
		end
	elseif msg == 'lock' then
		if lock == false then
			frame:SetMovable(false)
			frame:EnableMouse(false)
			tex:SetAlpha(0);
			lock = true
			btnunlock:Enable()
			btnlock:Disable()
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar lock!", 1, 1, .5);
		else
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar is already locked!", 1, 1, .5);
		end
	elseif msg == 'help' then
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : /xroll <option>:", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	unlock - unlock frame buttons", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	lock - lock frame buttons", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	toolon - Show tooltip buff", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage(" 	tooloff - Hide tooltip buff", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage(" 	icon32 - icon size 32x32", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	icon48 - icon size 48x48", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	icon64 - icon size 64x64", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage("  	cdon - Show cooldown text", 1, 1, .5);
		DEFAULT_CHAT_FRAME:AddMessage(" 	cdoff - Hide cooldown text", 1, 1, .5);
	elseif msg == 'toolon' then
		iftooltip = true
		tooltipon:SetChecked(true)
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Tooltip is ON!", 1, 1, .5);
	elseif msg == 'tooloff' then
		iftooltip = false
		tooltipon:SetChecked(false)
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Tooltip is OFF!", 1, 1, .5);
	elseif msg == 'icon32' then
		tailleicon = 32
		frame:SetWidth(250);
		frame:SetHeight(64);
		FrameWidth = 250
		FrameHeight = 64
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f6:SetWidth(tailleicon)
		f6:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(0)
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Icon is 32x32!", 1, 1, .5);
	elseif msg == 'icon48' then
		tailleicon = 48
		frame:SetWidth(250);
		frame:SetHeight(64);
		FrameWidth = 250
		FrameHeight = 64
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f6:SetWidth(tailleicon)
		f6:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(50)
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Icon is 48x48!", 1, 1, .5);
	elseif msg == 'icon64' then
		tailleicon = 64
		frame:SetWidth(450);
		frame:SetHeight(80);
		FrameWidth = 450
		FrameHeight = 80
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(100)
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Icon is 64x64!", 1, 1, .5);
	elseif msg == 'cdon' then
		tooltipcd = true
		tooltipoCool:SetChecked(true)
		n7:Show()
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Cooldown is On!", 1, 1, .5);
		XRollPos["Cooldownn"] = true
	elseif msg == 'cdoff' then
		tooltipcd = false
		tooltipoCool:SetChecked(false)
		n7:Hide()
		DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Cooldown is Off!", 1, 1, .5);
		XRollPos["Cooldownn"] = false
	elseif msg == 'option' then
		InterfaceOptionsFrame_OpenToCategory("XRoll Options");
	end
end

 
SlashCmdList["HELLOWORLD"] = handler; -- Also a valid assignment strategy

local f=CreateFrame("FRAME");
f:RegisterEvent("UNIT_AURA","player");

local function asd()
	class = select(2, UnitClass("player"));
	e = 0;
	if class == "ROGUE" then
			for i=1,40 do local name,_,_,count,_,duration,expires,_,_,_,spellID, timeMod = UnitBuff("player", i)
				if(spellID)then
					local name, rank, icone, castingTime, minRange, maxRange = GetSpellInfo(spellID)
					if (spellID == 193356 or spellID == 193357 or spellID == 193358 or spellID == 199603 or spellID == 199600 or spellID == 193359) then
						e = e + 1;
						affbuff = true
						local dudu = expires - GetTime()
						local dudu2 = math.floor(dudu+0.5)
						if e == 1 then
							spell1 = spellID
							f2:Hide()
							f3:Hide()
							f4:Hide()
							f5:Hide()
							f6:Hide()
							t1:SetTexture(icone)
							f1.texture = t1
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 0, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 0, 0)
							end
							f1:Show()
							c1:Show()
							if tooltipcd == true then
								n1:SetText(dudu2)
								n1:Show()
							else
								n1:SetText("")
								n1:Hide()
							end
							CooldownFrame_Set(c1, expires-duration, duration, 1)
						elseif e == 2 then
							spell2 = spellID
							f3:Hide()
							f4:Hide()
							f5:Hide()
							f6:Hide()
							t2:SetTexture(icone)
							f2.texture = t2
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 25, 0)
								f2:SetPoint("CENTER", frame, "CENTER", -25, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 35, 0)
								f2:SetPoint("CENTER", frame, "CENTER", -35, 0)
							end
							f2:Show()
							c2:Show()
							if tooltipcd == true then
								n2:SetText(dudu2)
								n2:Show()
							else
								n2:SetText("")
								n2:Hide()
							end
							CooldownFrame_Set(c2, expires-duration, duration, 1)
						elseif e == 3 then
							spell3 = spellID
							f4:Hide()
							f5:Hide()
							f6:Hide()
							t3:SetTexture(icone)
							f3.texture = t3
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 50, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 0, 0)
								f3:SetPoint("CENTER", frame, "CENTER", -50, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 70, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 0, 0)
								f3:SetPoint("CENTER", frame, "CENTER", -70, 0)
							end
							f3:Show()
							c3:Show()
							if tooltipcd == true then
								n3:SetText(dudu2)
								n3:Show()
							else
								n3:SetText("")
								n3:Hide()
							end
							CooldownFrame_Set(c3, expires-duration, duration, 1)
						elseif e == 4 then
							spell4 = spellID
							f5:Hide()
							f6:Hide()
							t4:SetTexture(icone)
							f4.texture = t4
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 75, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 25, 0)
								f3:SetPoint("CENTER", frame, "CENTER", -25, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -75, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 105, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 35, 0)
								f3:SetPoint("CENTER", frame, "CENTER", -35, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -105, 0)
							end
							f4:Show()
							c4:Show()
							if tooltipcd == true then
								n4:SetText(dudu2)
								n4:Show()
							else
								n4:SetText("")
								n4:Hide()
							end
							CooldownFrame_Set(c4, expires-duration, duration, 1)
						elseif e == 5 then
							spell5 = spellID
							f6:Hide()
							t5:SetTexture(icone)
							f5.texture = t5
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 100, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 50, 0)
								f3:SetPoint("CENTER", frame, "CENTER", 0, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -50, 0)
								f5:SetPoint("CENTER", frame, "CENTER", -100, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 140, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 70, 0)
								f3:SetPoint("CENTER", frame, "CENTER", 0, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -70, 0)
								f5:SetPoint("CENTER", frame, "CENTER", -140, 0)
							end
							f5:Show()
							c5:Show()
							if tooltipcd == true then
								n5:SetText(dudu2)
								n5:Show()
							else
								n5:SetText("")
								n5:Hide()
							end
							CooldownFrame_Set(c5, expires-duration, duration, 1)
						elseif e == 6 then
							spell6 = spellID
							t6:SetTexture(icone)
							f6.texture = t6
							if(tailleicon == 32 or tailleicon == 48)then
								f1:SetPoint("CENTER", frame, "CENTER", 125, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 75, 0)
								f3:SetPoint("CENTER", frame, "CENTER", 25, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -25, 0)
								f5:SetPoint("CENTER", frame, "CENTER", -75, 0)
								f6:SetPoint("CENTER", frame, "CENTER", -125, 0)
							else
								f1:SetPoint("CENTER", frame, "CENTER", 175, 0)
								f2:SetPoint("CENTER", frame, "CENTER", 105, 0)
								f3:SetPoint("CENTER", frame, "CENTER", 35, 0)
								f4:SetPoint("CENTER", frame, "CENTER", -35, 0)
								f5:SetPoint("CENTER", frame, "CENTER", -105, 0)
								f6:SetPoint("CENTER", frame, "CENTER", -175, 0)
							end
							f6:Show()
							c6:Show()
							if tooltipcd == true then
								n6:SetText(dudu2)
								n6:Show()
							else
								n6:SetText("")
								n6:Hide()
							end
							CooldownFrame_Set(c6, expires-duration, duration, 1)
						end
					end
				end
			end

	end
end
f:SetScript("OnUpdate",asd);

buuffs = {
	["Bordées"] = true,
	["Broadsides"] = true,
	
	["Eaux infestées de requins"] = true,
	["Shark Infested Waters"] = true,
	
	["Grande mêlée"] = true,
	["Grand Melee"] = true,
	
	["Relèvement vrai"] = true,
	["True Bearing"] = true,
	
	["Trésor enfoui"] = true,
	["Buried Treasure"] = true,
	
	["Pavillon noir"] = true,
	["Jolly Roger"] = true,
}

local framii = CreateFrame("Frame")
framii:RegisterEvent("UNIT_AURA", "player");
framii:RegisterEvent("PLAYER_ENTERING_WORLD")
     
local function check()
    if (unit and unit ~= "player") then
        return
    end
    for bbuff in pairs(buuffs) do
        if UnitBuff("player", bbuff) then
            if buuffs[bbuff] then
				buuffs[bbuff] = false
            end
        else
            if not buuffs[bbuff] then
				f1:Hide()
				c1:Hide()
				f2:Hide()
				c2:Hide()
				f3:Hide()
				c3:Hide()
				f4:Hide()
				c4:Hide()
				f5:Hide()
				c5:Hide()
				f6:Hide()
				c6:Hide()
            end
			buuffs[bbuff] = true
        end
    end
    
end
framii:SetScript("OnUpdate",check);

f1 = CreateFrame("FRAME",nil, UIParent)
f1:SetFrameStrata("BACKGROUND")
f1:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f1:SetHeight(tailleicon) -- for your Texture
t1 = f1:CreateTexture("$parentIcon","BACKGROUND")
t1:SetAllPoints(f1)
c1 = CreateFrame("Cooldown", nil, f1, "CooldownFrameTemplate")
c1:SetReverse(true)
c1:SetAllPoints(t1)
n1 = c1:CreateFontString(nil, "OVERLAY")
n1:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n1:SetTextColor(0.8, 0.8, 0.8)
n1:SetPoint("CENTER", -1, 1)
n1:SetJustifyH("CENTER")
	
f2 = CreateFrame("FRAME",nil,frame:GetParent())
f2:SetFrameStrata("BACKGROUND")
f2:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f2:SetHeight(tailleicon) -- for your Texture
t2 = f2:CreateTexture(nil,"BACKGROUND")
t2:SetAllPoints(f2)
c2 = CreateFrame("Cooldown", nil, f2, "CooldownFrameTemplate")
c2:SetReverse(true)
c2:SetAllPoints(t2)
n2 = c2:CreateFontString(nil, "OVERLAY")
n2:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n2:SetTextColor(0.8, 0.8, 0.8)
n2:SetPoint("CENTER", -1, 1)
n2:SetJustifyH("CENTER")

f3 = CreateFrame("FRAME",nil,frame:GetParent())
f3:SetFrameStrata("BACKGROUND")
f3:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f3:SetHeight(tailleicon) -- for your Texture
t3 = f3:CreateTexture(nil,"BACKGROUND")
t3:SetAllPoints(f3)
c3 = CreateFrame("Cooldown", nil, f3, "CooldownFrameTemplate")
c3:SetReverse(true)
c3:SetAllPoints(t3)
n3 = c3:CreateFontString(nil, "OVERLAY")
n3:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n3:SetTextColor(0.8, 0.8, 0.8)
n3:SetPoint("CENTER", -1, 1)
n3:SetJustifyH("CENTER")

f4 = CreateFrame("Frame",nil,frame:GetParent())
f4:SetFrameStrata("BACKGROUND")
f4:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f4:SetHeight(tailleicon) -- for your Texture
t4 = f4:CreateTexture(nil,"BACKGROUND")
t4:SetAllPoints(f4)
c4 = CreateFrame("Cooldown", nil, f4, "CooldownFrameTemplate")
c4:SetReverse(true)
c4:SetAllPoints(t4)
n4 = c4:CreateFontString(nil, "OVERLAY")
n4:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n4:SetTextColor(0.8, 0.8, 0.8)
n4:SetPoint("CENTER", -1, 1)
n4:SetJustifyH("CENTER")

f5 = CreateFrame("Frame",nil,frame:GetParent())
f5:SetFrameStrata("BACKGROUND")
f5:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f5:SetHeight(tailleicon) -- for your Texture
t5 = f5:CreateTexture(nil,"BACKGROUND")
t5:SetAllPoints(f5)
c5 = CreateFrame("Cooldown", nil, f5, "CooldownFrameTemplate")
c5:SetReverse(true)
c5:SetAllPoints(t5)
n5 = c5:CreateFontString(nil, "OVERLAY")
n5:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n5:SetTextColor(0.8, 0.8, 0.8)
n5:SetPoint("CENTER", -1, 1)
n5:SetJustifyH("CENTER")

f6 = CreateFrame("Frame",nil,frame:GetParent())
f6:SetFrameStrata("BACKGROUND")
f6:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f6:SetHeight(tailleicon) -- for your Texture
t6 = f6:CreateTexture(nil,"BACKGROUND")
t6:SetAllPoints(f6)
c6 = CreateFrame("Cooldown", nil, f6, "CooldownFrameTemplate")
c6:SetReverse(true)
c6:SetAllPoints(t6)
n6 = c6:CreateFontString(nil, "OVERLAY")
n6:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n6:SetTextColor(0.8, 0.8, 0.8)
n6:SetPoint("CENTER", -1, 1)
n6:SetJustifyH("CENTER")

local _, _, _, enabled = GetAddOnInfo("ElvUI")
if enabled then
	local E = unpack(ElvUI);
    E:RegisterCooldown(f1)
end
enabled = nil

















local IconImage = CreateFrame("FRAME", nil, XRollOption.panel)
IconImage:SetPoint("TOP", 0, -20)
IconImage:SetWidth(600)
IconImage:SetHeight(100)
IconImage:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
	tile = true, tileSize = 16, edgeSize = 16, 
	insets = { left = 4, right = 4, top = 4, bottom = 4 }});
IconImage:SetBackdropColor(0,0,0,1);	

CreateFrame("Frame","Test",IconImage)
Test:SetWidth(180)
Test:SetHeight(66)
Test:SetPoint("TOPLEFT",10,-5)
Test:CreateTexture("TestTexture")
TestTexture:SetAllPoints()
TestTexture:SetTexture("Interface\\AddOns\\XRoll\\Textures\\XRoll_logo.tga")

local IconImageText = IconImage:CreateFontString()
IconImageText:SetPoint("LEFT", 0, -35)
IconImageText:SetSize(320, 20)
IconImageText:SetFont("Fonts\\FRIZQT__.TTF", 12)
IconImageText:SetText("XRoll v1.6 - Create By Ninvisible-Archimonde EU")






















--TEXT OPTION LOCK/UNLOCK	
local TitreLock = CreateFrame("FRAME", nil, XRollOption.panel)
TitreLock:SetPoint("CENTER", 0, 0)
TitreLock:SetWidth(600)
TitreLock:SetHeight(100)
    
local TitreLockText = TitreLock:CreateFontString()
TitreLockText:SetPoint("TOP", 0, -10)
TitreLockText:SetSize(250, 20)
TitreLockText:SetFont("Fonts\\FRIZQT__.TTF", 16)
TitreLockText:SetText("Lock/Unlock Bar XRoll")
TitreLock:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
	tile = true, tileSize = 16, edgeSize = 16, 
	insets = { left = 4, right = 4, top = 4, bottom = 4 }});
TitreLock:SetBackdropColor(0,0,0,1);

--LOCK BTN OPTION
btnlock = CreateFrame("Button", "MyButton", TitreLock, "UIPanelButtonTemplate")
btnlock:SetSize(100 ,25)
btnlock:SetText("LOCK")
btnlock:SetPoint("CENTER", -100, -5)
btnlock:SetScript("OnClick", function()
	btnunlock:Enable()
    frame:SetMovable(false)
	frame:EnableMouse(false)
	tex:SetAlpha(0);
	lock = true
	DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar lock!", 1, 1, .5);
	btnlock:Disable()
end)

--UNLOCK BTN OPTION
btnunlock = CreateFrame("Button", "MyButton", TitreLock, "UIPanelButtonTemplate")
btnunlock:SetSize(100 ,25)
btnunlock:SetText("UNLOCK")
btnunlock:SetPoint("CENTER", 100, -5)
btnunlock:SetScript("OnClick", function()
    btnlock:Enable()
	frame:SetMovable(true)
	frame:EnableMouse(true)
	tex:SetAlpha(0.5);
	lock = false
	DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Bar unlock!", 1, 1, .5);
	btnunlock:Disable()
end)




















--TEXT OPTION ICONS SIZE	
local TitreIconSize = CreateFrame("FRAME", nil, XRollOption.panel)
TitreIconSize:SetPoint("CENTER", 0, -110)
TitreIconSize:SetWidth(600)
TitreIconSize:SetHeight(100)
    
local TitreIconSizeText = TitreIconSize:CreateFontString()
TitreIconSizeText:SetPoint("TOPLEFT", -50, -10)
TitreIconSizeText:SetSize(250, 20)
TitreIconSizeText:SetFont("Fonts\\FRIZQT__.TTF", 16)
TitreIconSizeText:SetText("Icons Size")
	
TitreIconSize:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
	tile = true, tileSize = 16, edgeSize = 16, 
	insets = { left = 4, right = 4, top = 4, bottom = 4 }});
TitreIconSize:SetBackdropColor(0,0,0,1);	
	
fra = CreateFrame("Slider", nil, TitreIconSize)
fra:SetPoint("LEFT", 25, -5)
fra:SetSize(200, 17)
fra:EnableMouseWheel(true)
fra:SetHitRectInsets(0, 0, -14, -15)
fra:SetMinMaxValues(0, 100)
fra:SetValue(50)
fra:SetValueStep(50)
fra:SetHitRectInsets(0, 0, 0, 0)
fra:SetObeyStepOnDrag(true)
fra:EnableMouseWheel(true)
fra:SetOrientation("Horizontal")
fra:SetBackdrop({
		bgFile = "Interface\\Buttons\\UI-SliderBar-Background",
		edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
		tile = true,
		edgeSize = 8,
		tileSize = 8,
		insets = {left = 3, right = 3, top = 6, bottom = 6}
})
fra:SetBackdropBorderColor(0.7, 0.7, 0.7, 1.0)
fra:SetScript("OnEnter", function(self)
	self:SetBackdropBorderColor(1, 1, 1, 1)
end)
fra:SetScript("OnLeave", function(self)
	self:SetBackdropBorderColor(0.7, 0.7, 0.7, 1.0)
end)
fra:SetScript("OnMouseWheel", function(self, delta)
	if delta > 0 then
		self:SetValue(self:GetValue() + self:GetValueStep())
	else
		self:SetValue(self:GetValue() - self:GetValueStep())
	end
end)
fra:SetScript("OnValueChanged", function(self, value)
	--fra.EditBox:SetText(value)
	if value == 0 then
		tailleicon = 32
		frame:SetWidth(250);
		frame:SetHeight(64);
		FrameWidth = 250
		FrameHeight = 64
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f6:SetWidth(tailleicon)
		f6:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(0)
	elseif value == 50 then
		tailleicon = 48
		frame:SetWidth(250);
		frame:SetHeight(64);
		FrameWidth = 250
		FrameHeight = 64
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f6:SetWidth(tailleicon)
		f6:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(50)
	else
		tailleicon = 64
		frame:SetWidth(450);
		frame:SetHeight(80);
		FrameWidth = 450
		FrameHeight = 80
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		f1:SetWidth(tailleicon)
		f1:SetHeight(tailleicon)
		f2:SetWidth(tailleicon)
		f2:SetHeight(tailleicon)
		f3:SetWidth(tailleicon)
		f3:SetHeight(tailleicon)
		f4:SetWidth(tailleicon)
		f4:SetHeight(tailleicon)
		f5:SetWidth(tailleicon)
		f5:SetHeight(tailleicon)
		f6:SetWidth(tailleicon)
		f6:SetHeight(tailleicon)
		f7:SetWidth(tailleicon)
		f7:SetHeight(tailleicon)
		fra:SetValue(100)
	end
end)
		
fra.MinLabel = fra:CreateFontString(nil, "Overlay")
fra.MinLabel:SetFontObject(GameFontHighlightSmall)
fra.MinLabel:SetSize(0, 14)
fra.MinLabel:SetWordWrap(false)
fra.MinLabel:SetPoint("TopLeft", fra, "BottomLeft", 0, -1)
local min, max = fra:GetMinMaxValues()
fra.MinLabel:SetText("32x32")
		
fraCenterLabel = fra:CreateFontString(nil, "Overlay")
fraCenterLabel:SetFontObject(GameFontHighlightSmall)
fraCenterLabel:SetSize(0, 14)
fraCenterLabel:SetWordWrap(false)
fraCenterLabel:SetPoint("TOP", fra, "BOTTOM", 0, 0)
fraCenterLabel:SetText("48x48")
		
fra.MaxLabel = fra:CreateFontString(nil, "Overlay")
fra.MaxLabel:SetFontObject(GameFontHighlightSmall)
fra.MaxLabel:SetSize(0, 14)
fra.MaxLabel:SetWordWrap(false)
fra.MaxLabel:SetPoint("TopRight", fra, "BottomRight", 0, -1)
fra.MaxLabel:SetText("64x64")
		
fra.Title = fra:CreateFontString(nil, "Overlay")
fra.Title:SetFontObject(GameFontNormal)
fra.Title:SetSize(0, 14)
fra.Title:SetWordWrap(false)
fra.Title:SetPoint("Bottom", fra, "Top")
fra.Title:SetText("")
fra.Thumb = fra:CreateTexture(nil, "Artwork")
fra.Thumb:SetSize(32, 32)
fra.Thumb:SetTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
fra:SetThumbTexture(fra.Thumb)


















--TEXT OPTION FONT SIZE	
local TitreFontSizeText = TitreIconSize:CreateFontString()
TitreFontSizeText:SetPoint("TOP", 115, -10)
TitreFontSizeText:SetSize(250, 20)
TitreFontSizeText:SetFont("Fonts\\FRIZQT__.TTF", 16)
TitreFontSizeText:SetText("Font Size")
	
	
fra2 = CreateFrame("Slider", nil, TitreIconSize)
fra2:SetPoint("RIGHT", -25, -5)
fra2:SetSize(200, 17)
fra2:EnableMouseWheel(true)
fra2:SetHitRectInsets(0, 0, -14, -15)
fra2:SetMinMaxValues(0, 100)
fra2:SetValue(50)
fra2:SetValueStep(50)
fra2:SetHitRectInsets(0, 0, 0, 0)
fra2:SetObeyStepOnDrag(true)
fra2:EnableMouseWheel(true)
fra2:SetOrientation("Horizontal")
fra2:SetBackdrop({
		bgFile = "Interface\\Buttons\\UI-SliderBar-Background",
		edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
		tile = true,
		edgeSize = 8,
		tileSize = 8,
		insets = {left = 3, right = 3, top = 6, bottom = 6}
})
fra2:SetBackdropBorderColor(0.7, 0.7, 0.7, 1.0)
fra2:SetScript("OnEnter", function(self)
	self:SetBackdropBorderColor(1, 1, 1, 1)
end)
fra2:SetScript("OnLeave", function(self)
	self:SetBackdropBorderColor(0.7, 0.7, 0.7, 1.0)
end)
fra2:SetScript("OnMouseWheel", function(self, delta)
	if delta > 0 then
		self:SetValue(self:GetValue() + self:GetValueStep())
	else
		self:SetValue(self:GetValue() - self:GetValueStep())
	end
end)
fra2:SetScript("OnValueChanged", function(self, value)
	--fra.EditBox:SetText(value)
	if value == 0 then
		fontSize = 15
		fra2:SetValue(0)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
	elseif value == 50 then
		fontSize = 20
		fra2:SetValue(50)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
	else
		fontSize = 25
		fra2:SetValue(100)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
	end
	XRollPos["FontSize"] = fontSize
end)
		
fra2.MinLabel = fra2:CreateFontString(nil, "Overlay")
fra2.MinLabel:SetFontObject(GameFontHighlightSmall)
fra2.MinLabel:SetSize(0, 14)
fra2.MinLabel:SetWordWrap(false)
fra2.MinLabel:SetPoint("TopLeft", fra2, "BottomLeft", 0, -1)
local min, max = fra2:GetMinMaxValues()
fra2.MinLabel:SetText("15")
		
fra2CenterLabel = fra2:CreateFontString(nil, "Overlay")
fra2CenterLabel:SetFontObject(GameFontHighlightSmall)
fra2CenterLabel:SetSize(0, 14)
fra2CenterLabel:SetWordWrap(false)
fra2CenterLabel:SetPoint("TOP", fra2, "BOTTOM", 0, 0)
fra2CenterLabel:SetText("20")
		
fra2.MaxLabel = fra2:CreateFontString(nil, "Overlay")
fra2.MaxLabel:SetFontObject(GameFontHighlightSmall)
fra2.MaxLabel:SetSize(0, 14)
fra2.MaxLabel:SetWordWrap(false)
fra2.MaxLabel:SetPoint("TopRight", fra2, "BottomRight", 0, -1)
fra2.MaxLabel:SetText("25")
		
fra2.Title = fra2:CreateFontString(nil, "Overlay")
fra2.Title:SetFontObject(GameFontNormal)
fra2.Title:SetSize(0, 14)
fra2.Title:SetWordWrap(false)
fra2.Title:SetPoint("Bottom", fra2, "Top")
fra2.Title:SetText("")
fra2.Thumb = fra2:CreateTexture(nil, "Artwork")
fra2.Thumb:SetSize(32, 32)
fra2.Thumb:SetTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
fra2:SetThumbTexture(fra2.Thumb)






















--TEXT OPTION TOOLTIP	
local TitreTool = CreateFrame("FRAME", nil, XRollOption.panel)
TitreTool:SetPoint("CENTER", 0, -220)
TitreTool:SetWidth(600)
TitreTool:SetHeight(100)
    
local TitreToolText = TitreTool:CreateFontString()
TitreToolText:SetPoint("TOPLEFT", -35, -10)
TitreToolText:SetSize(250, 20)
TitreToolText:SetFont("Fonts\\FRIZQT__.TTF", 16)
TitreToolText:SetText("Tooltip On/Off")

TitreTool:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
	tile = true, tileSize = 16, edgeSize = 16, 
	insets = { left = 4, right = 4, top = 4, bottom = 4 }});
TitreTool:SetBackdropColor(0,0,0,1);

tooltipon = CreateFrame("CheckButton", "tooltipon_GlobalName", TitreTool, "ChatConfigCheckButtonTemplate");
tooltipon:SetPoint("LEFT", 25, -5)
getglobal(tooltipon:GetName() .. 'Text'):SetText("Tooltip On/Off");
tooltipon.tooltip = "Show or Hide tooltip buff.";
tooltipon:SetScript("OnClick", 
  function()
		isChecked = tooltipon:GetChecked()
		if isChecked == false then
			iftooltip = false
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Tooltip is Off!", 1, 1, .5);
		else
			iftooltip = true
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Tooltip is On!", 1, 1, .5);
		end
		XRollPos["iftooltip"] = iftooltip
  end
);





























--TEXT OPTION COOLDOWN OFF/ON
local TitrecdText = TitreTool:CreateFontString()
TitrecdText:SetPoint("TOP", 160, -10)
TitrecdText:SetSize(250, 20)
TitrecdText:SetFont("Fonts\\FRIZQT__.TTF", 16)
TitrecdText:SetText("CoolDown On/Off")

tooltipoCool = CreateFrame("CheckButton", "tooltipoCool_GlobalName", TitreTool, "ChatConfigCheckButtonTemplate");
tooltipoCool:SetPoint("RIGHT", -190, -5)
getglobal(tooltipoCool:GetName() .. 'Text'):SetText("Cooldown On/Off");
tooltipoCool.tooltip = "Show or Hide Cooldown number of the icons";
tooltipoCool:SetScript("OnClick", 
  function()
		CoolisChecked = tooltipoCool:GetChecked()
		if CoolisChecked == false then
			tooltipcd = false
			n7:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Cooldown is Off!", 1, 1, .5);
		else
			tooltipcd = true
			n7:Show()
			DEFAULT_CHAT_FRAME:AddMessage("[XRoll]You say : Cooldown is On!", 1, 1, .5);
		end
		XRollPos["Cooldownn"] = tooltipcd
  end
);
























local XRoll_eventFrame = CreateFrame("Frame", nil, UIParent)
XRoll_eventFrame:RegisterEvent("VARIABLES_LOADED")
XRoll_eventFrame:RegisterEvent("PLAYER_LOGOUT")
XRoll_eventFrame:SetScript("OnEvent",function(self,event,...) 
DEFAULT_CHAT_FRAME:AddMessage("XRoll v1.6 loaded:  /xr help", 1, 1, .5);
DEFAULT_CHAT_FRAME:AddMessage("Create by Ninvisible-Archimonde EU", 1, 1, .5);
self[event](self,event,...);end)

-- VARIABLE_LOADED: Prepare SavedVariables
function XRoll_eventFrame:VARIABLES_LOADED()
	if (not XRollPos) then
		local point, relativeTo, relativePoint, xX, yY = frame:GetPoint()
		XRollPos = {}
		XRollPos["Posx"] = xX
		XRollPos["PosY"] = yY
		XRollPos["CENTER"] = point
		XRollPos["iftooltip"] = iftooltip
		XRollPos["tailleicon"] = tailleicon
		XRollPos["FrameWidth"] = FrameWidth
		XRollPos["FrameHeight"] = FrameHeight
		XRollPos["FontSize"] = fontSize
		XRollPos["Cooldownn"] = tooltipcd
		btnunlock:Enable()
		btnlock:Disable()
	end
	frame:SetPoint(XRollPos["CENTER"], XRollPos["Posx"], XRollPos["PosY"]);
	iftooltip = XRollPos["iftooltip"]
	tailleicon = XRollPos["tailleicon"]
	FrameWidth = XRollPos["FrameWidth"]
	FrameHeight = XRollPos["FrameHeight"]
	fontSize = XRollPos["FontSize"]
	tooltipcd = XRollPos["Cooldownn"]
	frame:SetWidth(FrameWidth);
	frame:SetHeight(FrameHeight);
	f1:SetWidth(tailleicon)
	f1:SetHeight(tailleicon)
	f2:SetWidth(tailleicon)
	f2:SetHeight(tailleicon)
	f3:SetWidth(tailleicon)
	f3:SetHeight(tailleicon)
	f4:SetWidth(tailleicon)
	f4:SetHeight(tailleicon)
	f5:SetWidth(tailleicon)
	f5:SetHeight(tailleicon)
	f6:SetWidth(tailleicon)
	f6:SetHeight(tailleicon)
	f7:SetWidth(tailleicon)
	f7:SetHeight(tailleicon)
	btnunlock:Enable()
	btnlock:Disable()
	if tailleicon == 32 then
		fra:SetValue(0)
	elseif tailleicon == 48 then
		fra:SetValue(50)
	else
		fra:SetValue(100)
	end
	
	if iftooltip == true then
		tooltipon:SetChecked(true)
	else
		tooltipon:SetChecked(false)
	end
	
	if fontSize == 15 then
		fra2:SetValue(0)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 15, "OUTLINE")
	elseif fontSize == 20 then
		fra2:SetValue(50)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 20, "OUTLINE")
	else
		fra2:SetValue(100)
		n1:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n2:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n3:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n4:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n5:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n6:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
		n7:SetFont("Fonts\\FRIZQT__.TTF", 25, "OUTLINE")
	end
	
	if tooltipcd == true then
		tooltipoCool:SetChecked(true)
		n7:Show()
	else
		tooltipoCool:SetChecked(false)
		n7:Hide()
	end
end

function XRoll_eventFrame:PLAYER_LOGOUT()
	local point, relativeTo, relativePoint, xX, yY = frame:GetPoint()
	XRollPos["Posx"] = xX
	XRollPos["PosY"] = yY
	XRollPos["CENTER"] = point
	XRollPos["iftooltip"] = iftooltip
	XRollPos["tailleicon"] = tailleicon
	XRollPos["FrameWidth"] = FrameWidth
	XRollPos["FrameHeight"] = FrameHeight
	XRollPos["lockbar"] = lock
	XRollPos["FontSize"] = fontSize
	XRollPos["Cooldownn"] = tooltipcd
	btnunlock:Enable()
	btnlock:Disable()
end

local function OnEnter1(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell1)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell1), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter2(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell2)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell2), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter3(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell3)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell3), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter4(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell4)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell4), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter5(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell5)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell5), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter6(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(spell6)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(spell6), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end
local function OnEnter7(self, motion)
GameTooltip:SetOwner(self, "ANCHOR_BOTTOMRIGHT")
name = GetSpellInfo(193356)
GameTooltip:SetText(name) 
GameTooltip:AddLine(GetSpellDescription(193356), 1, 1, 1, true)
	if iftooltip == true then
		GameTooltip:Show()
	else
		GameTooltip:Hide()
	end
end

f1:SetScript("OnEnter", OnEnter1)
f2:SetScript("OnEnter", OnEnter2)
f3:SetScript("OnEnter", OnEnter3)
f4:SetScript("OnEnter", OnEnter4)
f5:SetScript("OnEnter", OnEnter5)
f6:SetScript("OnEnter", OnEnter6)

local function OnLeave()
GameTooltip:Hide()
end

f1:SetScript("OnLeave", OnLeave) 
f2:SetScript("OnLeave", OnLeave) 
f3:SetScript("OnLeave", OnLeave) 
f4:SetScript("OnLeave", OnLeave) 
f5:SetScript("OnLeave", OnLeave) 
f6:SetScript("OnLeave", OnLeave) 


--BUTTON EXAMPLE OPTION
local name, rank, icon, castingTime, minRange, maxRange, spellID = GetSpellInfo(193356)
f7 = CreateFrame("FRAME",nil, XRollOption.panel)
f7:SetFrameStrata("BACKGROUND")
f7:SetWidth(tailleicon) -- Set these to whatever height/width is needed 
f7:SetHeight(tailleicon) -- for your Texture
f7:SetPoint("CENTER", -200, 100)
t7 = f7:CreateTexture("$parentIcon","BACKGROUND")
t7:SetAllPoints(f7)
t7:SetTexture(icon)
n7 = f7:CreateFontString(nil, "OVERLAY")
n7:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
n7:SetTextColor(0.8, 0.8, 0.8)
n7:SetPoint("CENTER", -1, 1)
n7:SetJustifyH("CENTER")
n7:SetText(19)
f7:Show()
n7:Show()
